# mputl

writes strings in a text file

## Calling Sequence

    r = mputl(txt, file_desc)

## Arguments

r

  returns `%t` or `%f` to check if function has correctly wrote on the file.

file_desc

  a character string giving the name of the file or

  an integer scalar: a file descriptor returned by `mopen` function.

txt

  a vector of strings.

## Description

`mputl` function allows to write a vector of strings as a sequence of lines in a text file.

`mputl` supports strings encoded as ANSI/ASCII and UTF-8.

## Examples

    fd = mopen(TMPDIR+'/text_mputl.txt','wt');
    mputl('Hello World',fd);
    mclose(fd);

    mputl('Simple Hello World',TMPDIR+"/text_mputl_simple.txt");

    fd = mopen(TMPDIR+'/text_mputl.txt','rt');
    disp(mgetl(fd));
    mclose(fd);

## See Also

- mget
- mgetl
- mclose
- mfprintf
- mput
- mputstr
- mopen
- write